Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000127 [Piwigo] albums feature N/A 2005.07.16 14:11 2006.04.12 12:34
Reporter ericFabre View Status public  
Assigned To rub
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.6 branch Product Version
  Target Version Product Build
Summary 0000127: new option for users to disable pwg_high pictures
Description - could you make a change on users profile page to install a new option :

for each users the admin could enable or disable the display of pwg_high folders.

- of course, you could first put this as a general option on the config page , for all users.

(we could manage this as the private/public option)
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
parent of 0000493assignedrub droits pwg_high disabled sur un groupe 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0000190)
plg (manager)
2005.07.16 22:36

Having a general option would be an error : in this case, why filling pwg_high folders.

Having this as an option for each user would be easy to code. Nevertheless, I'm not talking about security, only about hiding the button to pwg_high picture if available.
(0000193)
ericFabre (reporter)
2005.07.17 11:01

hiding the button to pwg_high picture if available, OK, and disable the click on the medium picture ?
(0000194)
plg (manager)
2005.07.17 11:20

> [...] and disable the click on the medium picture ?

Of course, that's what I meant
(0000518)
ericFabre (reporter)
2005.12.19 21:14

cette fonctionnalité sera-elle dans la 1.6 ?

merci,
eric.
(0000663)
rub (developer)
2006.03.04 23:19

Voici ce qui va être fait d'après le topic http://forum.phpwebgallery.net/viewtopic.php?pid=30702#p30702 [^]

  o Ajout d'un champ pwg_high_enabled dans #_groups
  o Ajout d'un champ pwg_high_enabled dans #_user_infos
  o Option de valeurs par défault pour ces champs dans le fichier de configuration
  o Gestion des icones, click d'après les régles suivantes:
      - Pour les catégories publiques le pwg_high est disponible uniquement si le flag #pwg_high_enabled dans #_user_infos est à true.
      - Pour les catégories privées, si le flag #pwg_high_enabled dans #_user_infos est à true (même si le user n'a pas accés à la catégorie par son user [donc il a accés par son groupe]) ET que flag #pwg_high_enabled dans #_group est à true alors pwg_high est disponible.
(0000689)
rub (developer)
2006.03.13 13:25

un champ "`disabled_high_categories` text" sera rajouté dans #_user_cache pour gérer un cache
(0000690)
rub (developer)
2006.03.13 18:49

Finalement après discussion sur le forum, on va faire au plu simple pour le moment.

C'est à dire utilisation uniquement du champ enabled_high dans #_user_info
(0000691)
rub (developer)
2006.03.14 00:23

1ere partie dans la revision 1078

- Issue History
Date Modified Username Field Change
2005.07.16 14:11 ericFabre New Issue
2005.07.16 14:11 ericFabre browser => any
2005.07.16 14:11 ericFabre Web server => Apache 1.3.x
2005.07.16 22:36 plg Note Added: 0000190
2005.07.16 22:36 plg Reproducibility always => N/A
2005.07.16 22:36 plg Status new => acknowledged
2005.07.16 22:36 plg version 1.5.0 =>
2005.07.17 11:01 ericFabre Note Added: 0000193
2005.07.17 11:20 plg Note Added: 0000194
2005.07.17 11:21 plg Assigned To => plg
2005.07.17 11:21 plg Status acknowledged => assigned
2005.11.16 13:37 ericFabre Issue Monitored: ericFabre
2005.12.19 21:14 ericFabre Note Added: 0000518
2006.03.04 23:19 rub Note Added: 0000663
2006.03.13 13:25 rub Note Added: 0000689
2006.03.13 18:49 rub Note Added: 0000690
2006.03.14 00:23 rub Note Added: 0000691
2006.04.12 12:34 plg Assigned To plg => rub
2006.04.12 12:34 plg Status assigned => closed
2006.04.12 12:34 plg Resolution open => fixed
2006.04.12 12:34 plg Fixed in Version => 1.6 branch
2006.08.22 16:52 plg Relationship added parent of 0000493


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker